
package diagrams;

/**
 *
 * @author B. Gaertner
 */
public class HorizontalPaintRange extends AbstractBoxedPaintRange {

    public HorizontalPaintRange(ScaleBox sb) {
        super(sb);
    }

    @Override
    public int paintOrigin() {
        return this.box.xStart();
    }

    @Override
    public int paintEndpoint() {
        return this.box.xEnd();
    }

    @Override
    public int paintWidth() {
        return this.box.scaleWidth();
    }
}
