
package diagrams;

/**
 *
 * @author B. Gaertner
 */
public class LinearTransformation extends ScaleTransformation  {


    public LinearTransformation(double scale, double offset1, double offset2) {
        super(scale, offset1, offset2);
    }

    @Override
    public double transform(double value) {
        return (value - offset1) * scale + offset2;
    }

    @Override
    public double inverseTransformation(int x) {
        return (x - offset2)/scale + offset1;
    }

    @Override
    public double inverseTransformation(double x) {
        return (x - offset2)/scale + offset1;
    }
}
