
package window;

import java.util.Observable;
import java.util.Observer;
import javax.swing.JTextPane;

/**
 *
 * @author B. Gaertner
 */
public class FormulaDisplayField extends JTextPane implements Observer {

    ApplicationModel model;
    public FormulaDisplayField(ApplicationModel m) {
        model = m;
        this.registerAsObserver();

    }

    private void registerAsObserver() {
        model.addObserver(this);
        this.setStyledDocument(model.getFormula());
        this.setEditable(false);
    }

    @Override
    public void update(Observable obj, Object arg) {
        this.setStyledDocument(model.getFormula());
    }

}
