
package diagrams;

/**
 *
 * @author B. Gaertner
 */
public class VerticalPaintRange extends AbstractBoxedPaintRange {

    public VerticalPaintRange(ScaleBox sb) {
        super(sb);
    }
    @Override
    public int paintOrigin() {
        return this.box.yStart();
    }

    @Override
    public int paintEndpoint() {
        return this.box.yEnd();
    }

    @Override
    public int paintWidth() {
        return -this.box.scaleHeight();
    }
}
