
package window;

import diagrams.ValueFormatter;
import java.text.DecimalFormat;

/**
 *
 * @author B. Gaertner
 */
public class PeriodeFormat  implements ValueFormatter {

    private DecimalFormat formatter;

    public PeriodeFormat (String fmt) {
        formatter = new DecimalFormat(fmt);
    }

    @Override
    public String format(double value) {
        if (value == 0) {
            return " -- ";
        } else {
            return formatter.format(2/value) + "\u03c0";
        }

        //return formatter.format(value);
    }
}
